#=============================================================================#
#                                                                             #
#         				  biicode.cmake    									  #
#                                                                             #
#=============================================================================#
# This file contains all the macros and functions that make possible to create
# the targets (executables, libraries, etc) and respect the user project
# configuration and/or CMakeLists.txt files


#=============================================================================#
#				General SET and INCLUDE_DIRECTORIES
#=============================================================================#

# The BIICODE variable is used to execute (or not) some wished parts of any user
# block CMakeLists. For example:
# 		IF(NOT BIICODE)
#			ADD_SUBDIRECTORY(util)
# 		ENDIF()
SET(BIICODE TRUE)

# BII_TESTS_WORKING_DIR specifies a different WORKING_DIR (add_test(.. WORKING_DIR ${BII_TESTS_WORKING_DIR}))
# By default is empty
set(BII_TESTS_WORKING_DIR )

macro(BII_INCLUDE_BLOCK BLOCK_DIR)
    get_filename_component(bii_user_dir ${BLOCK_DIR} PATH)
    get_filename_component(bii_base_dir ${bii_user_dir} PATH)
    get_filename_component(BII_BLOCK_NAME ${BLOCK_DIR} NAME)
    get_filename_component(BII_BLOCK_USER ${bii_user_dir} NAME)
    add_subdirectory("${BII_PROJECT_ROOT}" "${BII_BLOCK_USER}_${BII_BLOCK_NAME}")
endmacro()


